@mixin transition($args...) {
    -webkit-transition: $args;
    -moz-transition: $args;
    -ms-transition: $args;
    -o-transition: $args;
    transition: $args;
  }

  //RESPONSIVE DESIGN
  
  @mixin resp($media) {
      @if $media==xsmall {
          @media only screen and (max-width: $break-xsmall) {
              @content;
          }
      }
      @else if $media==small {
          @media only screen and (max-width: $break-small) {
              @content;
          }
      }
      @else if $media==medsmall {
          @media only screen and (max-width: $break-medsmall) {
              @content;
          }
      }
      @else if $media==medium {
          @media only screen and (max-width: $break-medium) {
              @content;
          }
      }
      @else if $media==large {
          @media only screen and (max-width: $break-large) {
              @content;
          }
      }
      @else if $media==xlarge {
          @media only screen and (max-width: $break-xlarge) {
              @content;
          }
      }
      
      @else if $media==xxlarge {
          @media only screen and (max-width: $break-xxlarge) {
              @content;
          }
      }
  
      @else {
          @media only screen and (max-width: $media) {
              @content;
          }
      }
  }